package com.gic.cloud.web.vo;

import com.gic.store.constant.StoreOwnerFlagEnum;

/**
 * 上线门店
 * @ClassName: OnLineStoreVo 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 1:33 PM 
 */
public class OnLineStoreVo {
    private String id;
    private String name;
    private String idChain;
    private String nameChain;
    private Integer hasChildren = 0;
    private Integer ownType;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;


    public Integer getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(Integer hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdChain() {
        return idChain;
    }

    public void setIdChain(String idChain) {
        this.idChain = idChain;
    }

    public String getNameChain() {
        return nameChain;
    }

    public void setNameChain(String nameChain) {
        this.nameChain = nameChain;
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public OnLineStoreVo setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public Integer getOwnType() {
        if (StoreOwnerFlagEnum.OTHER.getCode() == ownerFlag) {
            return 2;
        }
        return StoreOwnerFlagEnum.OWNER.getCode();
    }
}
